
QGIS Application - Bug report #19646

Atlas with HTML text box causing crashes

2018-08-20 12:45 AM - Barrett Higman

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2.1 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27473

Description

User Feedback

QGIS crashes when I try to preview my atlas. It seemed to be working fine until I added  a text box with html that displays an image. The

html used is the following:

<img src="https://web.fulcrumapp.com/shares/194e294b6b6130da/photos/[%"tree_work_photo"%]" width="auto" height="100%"

onerror="this.style.display='none'"/>

The workspace worked ok, even with the html text box, until I closed the workspace and then reopened it. Since then it crashes every time

I try to preview the atlas. If I delete the text box then the preview works fine.

Report Details

Crash ID: 4a3489dc4f7fb06b398d2a3e1b796fbc430a6113

Stack Trace

QMetaObject::activate :

QWebPage::loadFinished :

QWebHitTestResult::element :

WKArrayGetTypeID :

WKArrayGetTypeID :

WKArrayGetTypeID :

WKDataGetBytes :

WKDataGetBytes :

WKDataGetBytes :

QWebElementCollection::QWebElementCollection :

QWebElementCollection::QWebElementCollection :

QWebElementCollection::QWebElementCollection :

QWebElementCollection::QWebElementCollection :

QWebElementCollection::QWebElementCollection :

QMetaObject::activate :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QgsLayoutItemLabel::contentChanged :

QgsLayoutItemLabel::refreshExpressionContext :

QMetaObject::activate :
QgsLayoutAtlas::prepareForFeature :

QgsRasterCalcDialog::numberOfColumns :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-08-20 05:01 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you share a project which demonstrates this issue?

#2 - 2018-12-27 04:52 PM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
